#include "./inc/read_sequence.h"

using namespace std;

read_sequence::read_sequence(string sequence_file)	{
	int i;
	char *file_name_holder = new char [sequence_file.length() + 1];
	for(i = 0; i < sequence_file.length(); ++ i)	{
		file_name_holder[i] = sequence_file[i];
	}
	file_name_holder[sequence_file.length()] = '\0';
	ifstream input_sequence(file_name_holder, ifstream::in);
	if(!input_sequence.good())	{
		cout << "Error in reading sequence file!" << endl;
	}
	/* reading the header */
	delete [] file_name_holder;
	char hold_header[MAXLENGTH];
	input_sequence.getline(hold_header, MAXLENGTH);
	if(hold_header[0] != '>')	{
		cout << "Error: please input sequence using FASTA format!" << endl;
		return;
	}
	header = string(hold_header);
	header.erase(0, 1);
	while(input_sequence.good())	{
		char hold_sequence[MAXLENGTH];
		input_sequence.getline(hold_sequence, MAXLENGTH);
		string string_sequence(hold_sequence);
		sequence += string_sequence;
	}
	input_sequence.close();
	//cout << sequence << endl;
	return;
}

read_sequence::~read_sequence()	{
	return;
}
